Skip to main content
GET
/
workflows
/
runs
/
{runId}
Retrieve a workflow run
curl --request GET \
  --url https://v1.api.altostrat.io/workflows/runs/{runId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/workflows/runs/{runId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/workflows/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "fl_run_01h3j4k5l6m7n8p9q0r1s2t3u4",
  "status": "completed",
  "error_message": "Webhook request failed: 503 Service Unavailable",
  "started_at": "2025-10-31T12:00:00.000000Z",
  "completed_at": "2025-10-31T12:00:05.000000Z",
  "duration_in_seconds": 5,
  "logs": [
    {
      "id": "fl_log_01h3j4k5l6m7n8p9q0r1s2t3u4",
      "node_id": "n2",
      "component_id": "webhook",
      "status": "success",
      "output": {
        "status": 200,
        "body": {
          "message": "ok"
        }
      },
      "created_at": "2025-10-31T12:00:02.000000Z"
    }
  ]
}
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}

Authorizations

Authorization
string
header
required

Standard JWT for user sessions obtained via Altostrat authentication.

Path Parameters

runId
string
required

The prefixed ID of the workflow run (e.g., fl_run_...).

Response

The requested workflow run object.

id
string

The unique prefixed identifier for the workflow run.

Example:

"fl_run_01h3j4k5l6m7n8p9q0r1s2t3u4"

status
enum<string>

The current status of the workflow run.

Available options:
pending,
running,
completed,
failed,
awaiting_ui_interaction
Example:

"completed"

error_message
string | null

If the run failed, this contains the error message.

Example:

"Webhook request failed: 503 Service Unavailable"

started_at
string<date-time>

The timestamp when the workflow run started.

Example:

"2025-10-31T12:00:00.000000Z"

completed_at
string<date-time> | null

The timestamp when the workflow run finished (either completed or failed).

Example:

"2025-10-31T12:00:05.000000Z"

duration_in_seconds
number | null

The total duration of the workflow run in seconds.

Example:

5

logs
object[]

An ordered list of log entries for each step of the execution. Only returned when retrieving a single run.